Eclipse downloaden anleitung

كتب - آخر تحديث - 18 يونيو 2020

Sie können Diefine von www.eclipse.org/downloads/ herunterladen. Die Download-Seite listet eine Reihe von Geschmacksrichtungen der Sonnenfinsternis. Ein Java 7 JRE/JDK ist für alle Mars-Paket-Downloads auf Basis von Eclipse 4.5 erforderlich, einschließlich des Installers. Informationen zu getesteten Konfigurationen für Eclipse 4.5 finden Sie hier. Unsere Version von Eclipse wird unter Windows 7 (2009) oder höher laufen. In dem sehr unwahrscheinlichen Fall, dass Sie eine ältere Version von Windows auf Ihrem Computer haben, müssen Sie entweder aktualisieren oder Ihre Klassenarbeit in einem der öffentlichen Computercluster durchführen. Sie können Ihre Windows-Version mithilfe dieser Anweisungen überprüfen. Öffnen Sie als einfacher Test ein Eingabeaufforderungsfenster, wechseln Sie zu dem Verzeichnis, auf das das Argument -vm in Ihrer eclipse.ini zeigt, und führen Sie die beabsichtigte java.exe mit dem Schalter -d32 aus, um zu testen, ob es 32-Bit unterstützt, oder -d64, um 64-Bit-Unterstützung zu testen. Es ist oft am einfachsten, eine Version von Eclipse herunterzuladen, die mit java funktioniert, das Sie bereits installiert haben.

In CS106A verwenden wir Stanfords angepasste Version von Eclipse, um unsere Programme zu erstellen. Eclipse ist eine enorm beliebte Java-Umgebung mit vielen Funktionen. Glücklicherweise ist Eclipse auch Open Source — jeder ist frei, Eclipse so zu ändern, wie er will. Wir haben diese Freiheit genutzt, um spezielle Stanford-Funktionen in Eclipse zu installieren und speziell für CS106A zu schneidern. Dieses Dokument enthält Anweisungen zum Einstieg in die Verwendung von Stanford Eclipse. Bitte achten Sie genau auf diese Anweisungen und überspringen Sie nicht die Schritte! Sobald Sie Eclipse auf Ihrem Computer installiert haben, gibt es einige CS106A-spezifische Änderungen, die Sie vornehmen müssen, damit Sie auf einige spezielle Stanford-Funktionen zugreifen können, wie z. B. das Einreichen von Aufgaben. Die folgenden Anweisungen gelten für alle Betriebssysteme, obwohl die Screenshots von einem Mac stammen. Es wird dringend empfohlen, Eclipse mit der gewünschten JVM zu konfigurieren. Sehen Sie sich die Anweisungen unter Eclipse.ini Dies ist ein sehr wichtiger Schritt, um sicherzustellen, dass Eclipse die JVM verwendet, die Sie beabsichtigen, und nicht von einer anderen Software beeinflusst werden kann, die Ihr System verändern könnte. Die JVM, die zum Starten von Eclipse verwendet wird, hat keinen Einfluss darauf, ob sie Java-Quellen für andere Java-Sprachversionen kompilieren kann.

Wenn eclipse zum ersten Mal gestartet wird, werden Sie zum Speicherort des Arbeitsbereichsordners aufgefordert. Alle Ihre Daten werden im Arbeitsbereichsordner gespeichert. Sie können die Standardeinstellung akzeptieren oder einen neuen Speicherort auswählen. Der Download wird als komprimierte Datei (d. h. “.zip” oder “.tar.gz”) geliefert. Dekomprimieren Sie diese Datei in das Verzeichnis Ihrer Wahl (z. B.

“c:-Eclipse” unter Windows) und stellen Sie sicher, dass Sie über die vollständigen Lese- und Ausführungsberechtigungen verfügen. Sie können optional eine Verknüpfung der ausführbaren Datei erstellen (“eclipse.exe” unter Windows oder “eclipse” unter Linux). Hinweis: Wenn Sie die 64-Bit-Versionen der Software installiert haben und feststellen, dass Sie Probleme bei der Ausführung von Eclipse haben, empfehlen wir, Eclipse zu deinstallieren, indem Sie das Verzeichnis “C:-Programmdateien” löschen und die 32-Bit-Versionen von beiden installieren: die JRE 32-Bit-Version für Windows und Eclipse 32-Bit-Version für Windows in dieser Reihenfolge. Extrahieren Sie mit einem dieser Tools den Inhalt der Eclipse-ZIP-Datei in einen beliebigen Ordner Ihrer Wahl. Die Fähigkeiten jeder Verpackung der Sonnenfinsternis sind unterschiedlich. Java-Entwickler verwenden eclipse Classic oder Eclipse IDE in der Regel zum Entwickeln von Java-Anwendungen. Ein weiterer häufiger Fehler unter Microsoft Windows ist eine Diskrepanz zwischen der “Bitterkeit” von Eclipse und der JVM/JDK. Dies ist die häufigste Ursache für einen Fehler 13. 64-Bit Eclipse erfordert eine 64-Bit-JVM, und 32-Bit Eclipse erfordert 32-Bit-JVM–Sie können nicht zwischen 32-Bit und 64-Bit mischen und abgleichen, also stellen Sie sicher, dass die Version von Eclipse, die Sie installiert haben, mit der JVM/JDK übereinstimmt, die Sie verwenden, um sie auszuführen (und stellen Sie sicher, dass Sie eclipse.ini verwenden, um die genaue JVM anzugeben, die zum Ausführen von Eclipse verwendet wurde, wie oben beschrieben).